# Software Development Kit License Agreement

Thank you for your interest in Sphero, Inc. ("**​Sphero**​") and software development kit(s) related to any of our products, and all related Sphero software, tools, documentation, sample code, API information, together with any upgrades, modifications, additions, or improvements thereof (collectively, the "​**SDK**"). This License Agreement (this "​**Agreement**") governs the use of the SDK by you, and/or the entity on whose behalf you are downloading the SDK ("**​you**"). Your downloading, use, installation, modification or redistribution of the SDK constitutes acceptance of the terms of this Agreement. If you do not accept these terms, you may not use, install, modify or redistribute the SDK.

1. **License Grant​.** Subject to your complete and ongoing compliance with all the terms and conditions set forth in this ​Agreement​, including without limitation all license limitations and restrictions set forth herein, Sphero grants you the following limited, non-exclusive, non-transferable, non-sublicensable, revocable licenses to:

    1. use the SDK solely in connection with developing your own applications, for personal use and enjoyment or academic projects, research, or learning, that interoperate ​with the SDK and Sphero products ("**​Applications​**"); and
    2. use, modify, and redistribute the sample code pursuant to the applicable open source license, as identified in the headers or associated documentation.

2. **Restrictions​.** By accessing or using the SDK, you acknowledge that the foregoing license does not include any right to (i) redistribute, sell, lease, license, or modify any portion of the SDK, or (ii) distribute, deploy, or otherwise utilize applications on a public, production, commercial, or other similar purpose other than personal, non-commercial use and the development of non-public, experimental applications, or (iii) use or implement any undocumented feature or API, or use any documented feature or API other than in accordance with applicable documentation. You may not reproduce, distribute, publicly display, or publicly perform any part of the SDK, except as provided herein or in the applicable open source license. Except if, and solely to the extent that, such a restriction is impermissible under applicable law, you may not (y) decompile, reverse engineer, or otherwise access or attempt to access the source code for the SDK not made available to you in source code form, or make or attempt to make any modification to the SDK; or (z) remove, obscure, interfere with or circumvent any feature of the SDK, including without limitation any copyright or other intellectual property notices, security, or access control mechanism. You may not use the SDK for any purpose other than in a manner for which the SDK is expressly designed. If you are prohibited under applicable law from using the SDK, you may not use them, and you will comply with all applicable laws and regulations (including without limitation laws and regulations related to export controls) in connection with your use of the SDK. Without limiting the generality of the foregoing, you represent and warrant that the SDK will not be shipped, transferred or exported into any country or used in any manner prohibited by the United States Export Administration Act or any other export laws, restrictions or regulations (collectively the "​**Export Laws​**"). In addition, if the SDK is identified as export controlled items under the Export Laws, you represent and warrant that you are not a citizen, or otherwise located within, an embargoed nation (including without limitation Crimea, Cuba, Iran, North Korea, Sudan, or Syria) and that you are not otherwise prohibited under the Export Laws from receiving the SDK. You may not use the SDK for any purpose, or use the SDK in the development of any Application that is for the purpose of lifesaving, emergency response, or otherwise for deployment in any circumstance in which failure would be likely to lead to property damage, environmental damage, personal injury, or death. Similarly, you may not use the SDK in any manner that would be likely to lead to property damage, environmental damage, personal injury, or death. You may not use the SDK to create any product, idea, or technology that competes with Sphero or any of its products.

    ANY USE IN VIOLATION OF THE FOREGOING LIMITATIONS AND RESTRICTIONS IS STRICTLY PROHIBITED, AND UNLICENSED.

3. **Reservation of Rights​.** The SDK is owned by Sphero and licensed, not sold, to you. The items contained in the SDK are the intellectual property of Sphero and its suppliers and are protected by United States trademark, copyright, and patent law, international treaty provisions, and applicable laws of the country in which it is being used. You may not sell, license, distribute, copy, modify, publicly perform or display, transmit, publish, edit, adapt, create derivative works from, or make any use of the SDK except as expressly authorized hereunder. You do not acquire any right, title or interest to the SDK, whether by implication, estoppel, or otherwise, except for the limited rights set forth in this Agreement. Neither the name, trademarks, service marks or logos of Sphero may be used to endorse or promote products derived from the Sphero software without specific prior written permission from Sphero. Except as expressly stated in this notice, no other rights or licenses, express or implied, are granted by Sphero herein.

4. **Feedback​.** If you provide Sphero with any comments, bug reports, feedback, enhancements, or ​**modifications** proposed or suggested by you for the SDK or the Service ("**​Feedback​**"), such Feedback is provided on a non-confidential basis (notwithstanding ​any notice to the contrary you may include in any accompanying communication), and Sphero shall have the right to use such Feedback at its discretion, including, but not limited to the incorporation of such suggested changes into the SDK. You hereby grant Sphero a perpetual, irrevocable, transferable, sublicensable, nonexclusive license under all rights necessary to so incorporate and use your Feedback for any purpose, including to make and sell products and services.

5. **Disclaimer of Warranty​.** THE SDK IS PROVIDED BY SPHERO ON AN "AS IS" BASIS. SPHERO MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, REGARDING THE SDK OR ITS USE AND OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.

6. **Limitation of Liability​.** Notwithstanding any other provisions of this Agreement, Sphero’s liability to you under this Agreement shall be limited to the amount paid by you for the SDK.

   IN NO EVENT SHALL SPHERO BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION OF THE SPHERO SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE.

   Some states or jurisdictions do not allow the exclusion or limitation of incidental, consequential or special damages, or the exclusion of implied warranties or limitations on how long an implied warranty may last, so the above limitations may not apply to you. You may have rights which vary from state to state or jurisdiction to jurisdiction. The foregoing does not affect or prejudice your statutory rights. To the extent permissible any implied warranties are limited to ninety (90) days.

7. **Indemnification​.** You agree to indemnify, hold harmless, and defend Sphero from and against any claims or lawsuits, including attorneys' fees, that arise or result from the use and distribution of your actions in violation of this Agreement, provided that Sphero gives you prompt written notice of any such claim.

8. **Choice of Law​.** This Agreement will be governed by and construed in accordance with the substantive laws in force in the State of Colorado, USA. The federal courts located in Denver County, Colorado, shall each have exclusive jurisdiction over all disputes relating to this Agreement. This Agreement will not be governed by the conflict of law rules of any jurisdiction or the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly excluded.

9. **Amendment and Modification​.** Sphero may modify or amend this Agreement at any time by posting an updated version to this site. No other amendment to this Agreement is effective unless it is in writing and signed by you and an authorized representative of Sphero.

10. **Waiver​.** No waiver by Sphero of any of the provisions hereof shall be effective unless explicitly set forth in writing and signed by Sphero. Except as otherwise set forth in this Agreement, no failure to exercise, or delay in exercising, any right, remedy, power, or privilege of Sphero arising from this Agreement shall operate or be construed as a waiver thereof; nor shall any single or partial exercise of any right, remedy, power, or privilege hereunder preclude any other or further exercise thereof or the exercise of any other right, remedy, power, or privilege.
